#-------------------------------------------------------------------------
#
# Makefile--
#    Makefile for replication
#
# IDENTIFICATION
#    $Header: /home/postgres/cvs_root/pgsql-r-v7.2/src/backend/replication/Makefile,v 1.6 2002/06/22 08:59:20 nconway Exp $
#
#-------------------------------------------------------------------------

subdir = src/backend/replication
top_builddir = ../../..
include $(top_builddir)/src/Makefile.global

#ifdef USE_SPREAD
CFLAGS+= -I$(SPREAD_LIB)/include
#endif

ifdef MULTIBYTE
CFLAGS+= $(MBFLAGS)
endif

#ifdef USE_SPREAD
# Spread object files
OBJS= writeset.o
#endif

all: SUBSYS.o

SUBSYS.o: $(OBJS)
	$(LD) $(LDREL) $(LDOUT) SUBSYS.o $(OBJS)

depend dep:
	$(CC) -MM $(CFLAGS) *.c >depend

clean:
	rm -f SUBSYS.o $(OBJS)

ifeq (depend,$(wildcard depend))
include depend
endif
